'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (container) {
  container.set('route-auth-user-login', function () {
    var Route = require('../routes/auth-user-login').default;
    return new Route(container.get('auth'));
  });

  container.set('route-auth-whoami', function () {
    var Route = require('../routes/auth-whoami').default;
    return new Route(container.get('auth'));
  });

  container.set('route-auth-user-logout', function () {
    var Route = require('../routes/auth-user-logout').default;
    return new Route(container.get('auth'));
  });
};