'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var _class = function () {
  function _class() {
    _classCallCheck(this, _class);

    this.services = {};
    this.resolved = {};
  }

  /**
   * @param {String} name name of the service
   * @param {*} service service to return on get
   * @return {Void} -
   */


  _createClass(_class, [{
    key: 'set',
    value: function set(name, service) {
      this.services[name] = service;
    }

    /**
     * @param {String} name name of service
     * @return {*} requested service
     * @throws {Error} Cannot find service [service]
     */

  }, {
    key: 'get',
    value: function get(name) {
      if (this.resolved[name]) {
        return this.resolved[name];
      }

      if (this.services[name]) {
        this.resolved[name] = this.services[name].call();
        return this.resolved[name];
      }

      throw new Error('Cannot find service ' + name);
    }
  }]);

  return _class;
}();

exports.default = _class;