"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var _class = function () {
  function _class(storage) {
    _classCallCheck(this, _class);

    this.storage = storage;
  }

  /**
   * @param {class} httpRequest req
   * @param {class} httpResponse res
   * @return {void} -
   */


  _createClass(_class, [{
    key: "process",
    value: function process(httpRequest, httpResponse) {
      var _this = this;

      return new Promise(function (resolve) {
        var packageName = httpRequest.body._packageName;
        var packageScope = httpRequest.body._scope;
        var fileName = httpRequest.body._requestedFile;

        _this.storage.getPackage({
          name: packageName,
          scope: packageScope,
          file: fileName
        }).then(function (data) {
          httpResponse.status(200);
          httpResponse.send(data);
          resolve();
        }).catch(function (err) {
          httpResponse.status(404);
          httpResponse.send({
            message: err
          });
        });
      });
    }
  }]);

  return _class;
}();

exports.default = _class;