'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (request, packageJson, storageLocation) {
  return new Promise(function (resolve) {
    var packageName = request.name;
    var packageScope = request.scope;
    var packageInfoLocation = void 0;
    if (packageScope) {
      packageInfoLocation = _path2.default.join(storageLocation, packageScope, packageName, 'package.json');
    } else {
      packageInfoLocation = _path2.default.join(storageLocation, packageName, 'package.json');
    }

    (0, _writeJson2.default)(packageInfoLocation, packageJson).then(function (result) {
      return resolve(result);
    });
  });
};

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _writeJson = require('./write-json');

var _writeJson2 = _interopRequireDefault(_writeJson);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }